Last Comment Bug 659412 - Motorola Defy users get low memory warning
: Motorola Defy users get low memory warning
Status: VERIFIED FIXED
[landed m-c 5/24] [purely android code]
: verified-aurora, verified-beta
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: ARM Android
: P2 critical (vote)
: Firefox 7
Assigned To: Matt Brubeck (:mbrubeck)
:
:
Mentors:
Depends on: 652787
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-24 12:25 PDT by Thomas Arend [:tarend]
Modified: 2011-07-27 11:35 PDT (History)
11 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (5.61 KB, patch)
2011-05-24 13:29 PDT, Matt Brubeck (:mbrubeck)
blassey.bugs: review+
asa: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Thomas Arend [:tarend] 2011-05-24 12:25:19 PDT
Motorola Defy users seem to see our low memory warning even though the device is officially supported based on https://www.mozilla.com/en-US/mobile/platforms/
It would be good to know the contents of /proc/meminfo on the Defy to find out more.

Related to Bug 649841 - opening this separate bug so we can specifically test on a Defy.
Comment 1 Matt Brubeck (:mbrubeck) 2011-05-24 12:50:05 PDT
blassey pointed out on IRC that we could just remove the low memory warning, now that we are blacklisting (in the Market) the devices it was meant to apply to.
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-24 12:55:48 PDT
(In reply to comment #1)
> blassey pointed out on IRC that we could just remove the low memory warning,
> now that we are blacklisting (in the Market) the devices it was meant to
> apply to.

This idea has merit. Any real use for this annoying message now that we can (and do) blacklist?
Comment 3 Thomas Arend [:tarend] 2011-05-24 12:59:05 PDT
I am all for removing clutter. However, alternative distribution channels that we are looking at may not have blacklisting. Also, I wonder if we would have cases were we officially support a device but detect that they have so much stuff installed and running on their phone that the *available* memory may make Fennec run slower than usual. In that case we would turn that warning into something useful that tells users how to free up memory, recommend moving apps to SD card, etc.
Comment 4 Matt Brubeck (:mbrubeck) 2011-05-24 13:24:16 PDT
(In reply to comment #3)
> I am all for removing clutter. However, alternative distribution channels
> that we are looking at may not have blacklisting.

There are only two devices that can run Fennec but have less than the suggested RAM requirement, and it looks unlikely that any such more devices will be introduced.  The Android Market is and will remain the primary distribution channel for those two legacy devices.

> Also, I wonder if we would
> have cases were we officially support a device but detect that they have so
> much stuff installed and running on their phone that the *available* memory
> may make Fennec run slower than usual. In that case we would turn that
> warning into something useful that tells users how to free up memory,
> recommend moving apps to SD card, etc.

The Android OS will automatically unload running processes to free up RAM, and will also warn the user about low disk storage space and recommend moving or uninstalling apps.  We shouldn't need to do this ourselves.  Anyway, our ability to add hypothetical new warnings would not be impacted by removing the current low-total-RAM warning.
Comment 5 Brad Lassey [:blassey] (use needinfo?) 2011-05-24 13:25:04 PDT
(In reply to comment #3)
> I am all for removing clutter. However, alternative distribution channels
> that we are looking at may not have blacklisting. 
again, I think that is up for these alternative distribution channels to solve
> Also, I wonder if we would
> have cases were we officially support a device but detect that they have so
> much stuff installed and running on their phone that the *available* memory
> may make Fennec run slower than usual. In that case we would turn that
> warning into something useful that tells users how to free up memory,
> recommend moving apps to SD card, etc.
I suspect that's what is happening with the defy. The current message doesn't speak to that though, so I'd suggest filing a different bug for it.
Comment 6 Matt Brubeck (:mbrubeck) 2011-05-24 13:29:41 PDT
Created attachment 534872 [details] [diff] [review]
patch

Remove the memory warning dialog.
Comment 7 Matt Brubeck (:mbrubeck) 2011-05-24 15:07:04 PDT
http://hg.mozilla.org/mozilla-central/rev/a0543ec5f10a
Comment 8 Anna (Waverley) 2011-05-26 04:38:39 PDT
Can someone please verify this bug?
Comment 9 Kevin Brosnan [:kbrosnan] 2011-05-26 12:10:45 PDT
We will have access to a Defy when the Deviceanywhere account is activated. Are we taking this patch for Firefox 6 or backing out bug 652787.
Comment 10 Andreea Pod 2011-07-12 06:28:11 PDT
I verified this using Deviceanywhere on Motorola Defy build ids:
Mozilla /5.0 (Android;Linux armv7l;rv:8.0a1) Gecko/20110712 Firefox/8.0a1 Fennec/8.0a1 and 
Mozilla /5.0 (Android;Linux armv7l;rv:7.0a2) Gecko/20110711 Firefox/7.0a2 Fennec/7.0a2

I didn't saw any memory warning dialog, therefore I am marking it as verified fixed
Comment 12 Axel Hecht [:Pike] 2011-07-19 06:12:56 PDT
Beta and aurora are string frozen. This is just removing strings, but it would have been better to just create an extra patch that drops the usage of those string and leaves them unused, and make the removal go through the regular channel updates from central to aurora to beta.
Comment 13 christian 2011-07-20 11:36:38 PDT
Axel, do you want us to revert and do what you suggest in comment 12?
Comment 14 Axel Hecht [:Pike] 2011-07-20 11:37:50 PDT
Thanks, but no thanks. Just for future reference.
Comment 15 Kevin Brosnan [:kbrosnan] 2011-07-27 11:35:04 PDT
Xperia x10i

Mozilla/5.0 (Android; Linux armv7l; rv:8.0a1) Gecko/20110727 Firefox/8.0a1 Fennec/8.0a1 ID:20110727081800

Mozilla/5.0 (Android; Linux armv7l; rv:7.0a2) Gecko/20110727 Firefox/7.0a2 Fennec/7.0a2 ID:20110727044233 

Mozilla/5.0 (Android; Linux armv7l; rv:6.0) Gecko/20110721 Firefox/6.0 Fennec/6.0 ID:20110721142609

Note You need to log in before you can comment on or make changes to this bug.